| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
scopeguard.h File Reference

## Classes

class | wxScopeGuard
| Scope guard is an object which allows executing an action on scope exit. More...

## Macros

#define | wxON_BLOCK_EXIT(function,...)
| Ensure that the global function with a few (up to some implementation-defined limit) is executed on scope exit, whether due to a normal function return or because an exception has been thrown.
#define | wxON_BLOCK_EXIT0(function)
#define | wxON_BLOCK_EXIT1(function, p1)
#define | wxON_BLOCK_EXIT2(function, p1, p2)
#define | wxON_BLOCK_EXIT3(function, p1, p2, p3)
#define | wxON_BLOCK_EXIT_OBJ(object, method,...)
| This family of macros is similar to wxON_BLOCK_EXIT(), but calls a method of the given object instead of a free function.
#define | wxON_BLOCK_EXIT_OBJ0(object, method)
#define | wxON_BLOCK_EXIT_OBJ1(object, method, p1)
#define | wxON_BLOCK_EXIT_OBJ2(object, method, p1, p2)
#define | wxON_BLOCK_EXIT_OBJ3(object, method, p1, p2, p3)
#define | wxON_BLOCK_EXIT_THIS(method,...)
| This family of macros is similar to wxON_BLOCK_OBJ(), but calls a method of `this` object instead of a method of the specified object.
#define | wxON_BLOCK_EXIT_THIS0(method)
#define | wxON_BLOCK_EXIT_THIS1(method, p1)
#define | wxON_BLOCK_EXIT_THIS2(method, p1, p2)
#define | wxON_BLOCK_EXIT_THIS3(method, p1, p2, p3)
#define | wxON_BLOCK_EXIT_SET(var, value)
| This macro sets a variable to the specified value on scope exit.
#define | wxON_BLOCK_EXIT_NULL(ptr)
| This macro sets the pointer passed to it as argument to NULL on scope exit.

## Functions

template<typename F , typename P1 , ... , typename PN >
wxScopeGuard | wxMakeGuard (F func, P1 p1,..., PN pN)
| Returns a scope guard object which will call the specified function with the given parameters on scope exit.